:root {
  --color-principal: #4a2b11;
  --color-secundario: #fdfdfd;
  --color-texto: #333;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 1rem;
  line-height: 1.6;
  background: var(--color-secundario);
  color: var(--color-texto);
  min-height: 100vh;
}

/* Header */
header {
  position: sticky;
  top: 0;
  z-index: 900;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px 40px;
  background-color: var(--color-secundario);
  border-bottom: 4px solid #ada48f;
}

.logo img {
  height: 60px;
}

.menu {
  display: flex;
  gap: 20px;
  list-style: none;
  flex-wrap: wrap;
}

.menu li a {
  text-transform: uppercase;
  padding: 10px 20px;
  text-decoration: none;
  color: var(--color-principal);
  font-size: 16px;
  font-weight: 600;
  transition: 0.3s ease;
  font-family: 'Nexa', sans-serif;
}

.menu li a:hover {
  background-color: var(--color-principal);
  color: #fff;
  border-radius: 6px;
}

/* Título */
.titulo h2 {
  font-family: 'Times New Roman', Times, serif;
  font-size: 36px;
  margin-top: 40px;
  text-align: center;
  color: var(--color-principal);
}

/* Contenido */
.card-custom {
  border-radius: 20px;
  padding: 30px;
  background-color: #ffffff;
  box-shadow: 0 6px 12px #ada48f;
  transition: box-shadow 0.3s ease-in-out;
}

.card-custom:hover {
  box-shadow: 0 8px 20px #ada48f;
}

.image-container img {
  border-radius: 12px;
  width: 100%;
  max-width: 450px;
  height: auto;
}

.text-container {
  max-width: 600px;
}

.title h3{
  font-size: 2rem;
  font-weight: bold;
  color: var(--color-principal);
  margin-bottom: 15px;
  font-family: 'Times New Roman', Times, serif;
}

.text-custom p{
  font-size: 1.1rem;
  color: var(--color-texto);
  line-height: 1.8;
  font-family: Georgia, 'Times New Roman', Times, serif
}

/* Modal */
.contenedor-boton { 
  text-align: right; 
  margin-right: 20px;
  margin-top: -40px;
}

.btn-btn-primary {
  background-color: var(--color-principal);
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 10px;
}

.btn-btn-secondary {
  background-color: #ada48f;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 10px;
}

.modal-title {
  font-size: 1.5rem;
  font-weight: 500;
  color: #333;
  text-align: center;
}

.modal-body {
  font-size: 16px;
  line-height: 1.5;
  color: #333;
}

.modal-content {
  background-color: var(--color-secundario);
  color: #333;
}

/* Footer */
footer {
  background-color: #ada48f;
  color: #fff;
  padding: 20px 0;
  text-align: center;
}

/* Responsive */
@media (max-width: 768px) {
  .menu {
    flex-direction: column;
    gap: 10px;
  }

  header {
    padding: 10px 20px;
  }

  footer {
    font-size: 14px;
    padding: 15px 10px;
  }

  .card-custom {
    flex-direction: column;
    text-align: center;
  }

  .text-container {
    max-width: 100%;
  }

  .titulo h2 {
    font-size: 28px;
  }
}
